LibreOffice: XAccessibleValue Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XAccessibleValue Interface Reference

Implement this interface to give access to a single numerical value. More...

`import "XAccessibleValue.idl";`

Inheritance diagram for XAccessibleValue:

## Public Member Functions
any | getCurrentValue ()
| Returns the value of this object as a number.
boolean | setCurrentValue ([in] any aNumber)
| Sets the value of this object to the given number.
any | getMaximumValue ()
| Returns the maximum value that can be represented by this object.
any | getMinimumValue ()
| Returns the minimum value that can be represented by this object.
any | getMinimumIncrement ()
| Returns the minimum increment by which the value represented by this object can be adjusted.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Implement this interface to give access to a single numerical value.

The XAccessibleValue interface represents a single numerical value and should be implemented by any class that supports numerical value like scroll bars and spin boxes. This interface lets you access the value and its upper and lower bounds.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getCurrentValue()

any getCurrentValue | ( |  | ) |

Returns the value of this object as a number.

The exact return type is implementation dependent. Typical types are long and double.

Returns
  Returns the current value represented by this object.

## ◆ getMaximumValue()

any getMaximumValue | ( |  | ) |

Returns the maximum value that can be represented by this object.

The type of the returned value is implementation dependent. It does not have to be the same type as that returned by getCurrentValue().

Returns
  Returns the maximum value in an implementation dependent type. If this object has no upper bound then an empty object is returned.

## ◆ getMinimumIncrement()

any getMinimumIncrement | ( |  | ) |

Returns the minimum increment by which the value represented by this object can be adjusted.

The type of the returned value is implementation dependent. It does not have to be the same type as that returned by getCurrentValue().

Returns
  Returns the minimum increment value in an implementation dependent type. If this object has no minimum increment value, then an empty object is returned.

Since
  LibreOffice 7.3

## ◆ getMinimumValue()

any getMinimumValue | ( |  | ) |

Returns the minimum value that can be represented by this object.

The type of the returned value is implementation dependent. It does not have to be the same type as that returned by getCurrentValue().

Returns
  Returns the minimum value in an implementation dependent type. If this object has no lower bound then an empty object is returned.

## ◆ setCurrentValue()

boolean setCurrentValue | ( | [in] any | aNumber | ) |

Sets the value of this object to the given number.

The argument is clipped to the valid interval whose upper and lower bounds are returned by the methods getMaximumValue() and getMinimumValue(), i.e. if it is lower than the minimum value the new value will be the minimum and if it is greater than the maximum then the new value will be the maximum.

Parameters

  aNumber | The new value represented by this object. The set of admissible types for this argument is implementation dependent.

Returns
  Returns TRUE if the new value could successfully be set and FALSE otherwise.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleValue.idl